SET(CPACK_PACKAGE_NAME "polkit-tqt-1")
SET(CPACK_PACKAGE_VERSION_MAJOR "${POLKITTQT-1_VERSION_MAJOR}")
SET(CPACK_PACKAGE_VERSION_MINOR "${POLKITTQT-1_VERSION_MINOR}")
SET(CPACK_PACKAGE_VERSION_PATCH "${POLKITTQT-1_VERSION_PATCH}")

set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "polkit-tqt-1-${POLKITTQT-1_VERSION_MAJOR}.${POLKITTQT-1_VERSION_MINOR}.${POLKITTQT-1_VERSION_PATCH}")
set(CPACK_SOURCE_IGNORE_FILES "/\\\\.svn/" "/\\\\.git/" "makechangelog")

set(ARCHIVE_NAME ${CPACK_PACKAGE_NAME}-${POLKITTQT-1_VERSION_STRING})
add_custom_target(dist
    COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
        | bzip2 > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

include(CPack) # needs to happen after the above variables are set
